Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0042788
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 02. Master data managementtrivialhave not tried2020-01-10 06:472020-02-06 15:53
ReporterAtulOpenbravoView Statuspublic 
Assigned ToAtulOpenbravo 
PrioritynormalResolutionfixedFixed in Version3.0PR20Q2
StatusclosedFix in branchFixed in SCM revision3addfeff85dc
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Todmiguelez
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0042788: Apply new HQL style in ServiceDeliverUtility

Description1. Avoid use of StringBuilder use normal Strings.
2. HQL formatting is important for improving readability.
3. Avoid use of Property Constant if any
Steps To Reproduce-
Proposed SolutionFollow new style available here http://wiki.openbravo.com/wiki/HQL_Coding_Conventions [^]
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
depends on design defect 0041287 acknowledgedplatform Tracking issue: Convert HQL to apply new style 
Not all the children of this issue are yet resolved or closed.

-  Notes
(0117514)
dmiguelez (developer)
2020-02-06 15:50

Test Plan.

Log in with White Valley Admin
Go to Preference window and create a new record with:
  * Property: Web POS Enable Delivery Modes
  * Values: Y
  * Visibility: All filters empty

Log in WebPOS with terminal VBS- and user Vallblanca
Click on browse and select the first product
Click on the ticket line and then in the 'Show More' option of the right side.
Select Delivery Mode and then select Home Delivery. Set:
  * Delivery Date: Today
  * Delivery Time: 2 hours from now
Click Apply.
Click on Checkout -> Pay Total -> Done

From the menu select Issue Sales Order
Search by Order Date and select today.
Select the previously created line and set 1 unit to prepare.
Click on issue selected.

There is a message stating that the issue has been created successfully.
(0117515)
hgbot (developer)
2020-02-06 15:52

Repository: erp/devel/pi
Changeset: 3addfeff85dc59fe472c54a608b51cebb04c3f40
Author: Atul Gaware <atul.gaware <at> openbravo.com>
Date: Fri Jan 17 09:26:33 2020 +0530
URL: http://code.openbravo.com/erp/devel/pi/rev/3addfeff85dc59fe472c54a608b51cebb04c3f40 [^]

Fixes BUG-0042788: Apply new HQL style in ServiceDeliverUtility

**Avoid StringBuilder, use String to format hql query strings
to improve readability

---
M src/org/openbravo/materialmgmt/ServiceDeliverUtility.java
---
(0117516)
hgbot (developer)
2020-02-06 15:52

Repository: erp/devel/pi
Changeset: 560842f6ff5215a00f2fd1df8805ec030c640e95
Author: Atul Gaware <atul.gaware <at> openbravo.com>
Date: Fri Jan 17 09:28:59 2020 +0530
URL: http://code.openbravo.com/erp/devel/pi/rev/560842f6ff5215a00f2fd1df8805ec030c640e95 [^]

Related To ISSUE-42788: Apply new HQL style in ServiceDeliverUtility

**Apply SonarLint suggestions
**Simplify the call to the query object

---
M src/org/openbravo/materialmgmt/ServiceDeliverUtility.java
---
(0117517)
hgbot (developer)
2020-02-06 15:52

Repository: erp/devel/pi
Changeset: 38ba3924472f084584c65057a1682a55cc06de95
Author: Atul Gaware <atul.gaware <at> openbravo.com>
Date: Fri Jan 17 20:43:00 2020 +0530
URL: http://code.openbravo.com/erp/devel/pi/rev/38ba3924472f084584c65057a1682a55cc06de95 [^]

Related To ISSUE-42788:Apply new HQL style in ServiceDeliverUtility

**Revert SonarLint suggestion to create a constructor for class
ServiceDeliverUtility

---
M src/org/openbravo/materialmgmt/ServiceDeliverUtility.java
---
(0117518)
dmiguelez (developer)
2020-02-06 15:53

Code Review + Testing Ok

- Issue History
Date Modified Username Field Change
2020-01-10 06:47 AtulOpenbravo New Issue
2020-01-10 06:47 AtulOpenbravo Assigned To => AtulOpenbravo
2020-01-10 06:47 AtulOpenbravo Modules => Core
2020-01-10 06:47 AtulOpenbravo Triggers an Emergency Pack => No
2020-01-10 06:47 AtulOpenbravo Issue generated from 0042786
2020-01-10 06:48 AtulOpenbravo Relationship added depends on 0041287
2020-01-10 06:51 AtulOpenbravo Issue cloned 0042789
2020-01-16 03:53 AtulOpenbravo Status new => scheduled
2020-02-06 15:50 dmiguelez Note Added: 0117514
2020-02-06 15:52 hgbot Checkin
2020-02-06 15:52 hgbot Note Added: 0117515
2020-02-06 15:52 hgbot Status scheduled => resolved
2020-02-06 15:52 hgbot Resolution open => fixed
2020-02-06 15:52 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/3addfeff85dc59fe472c54a608b51cebb04c3f40 [^]
2020-02-06 15:52 hgbot Checkin
2020-02-06 15:52 hgbot Note Added: 0117516
2020-02-06 15:52 hgbot Checkin
2020-02-06 15:52 hgbot Note Added: 0117517
2020-02-06 15:53 dmiguelez Review Assigned To => dmiguelez
2020-02-06 15:53 dmiguelez Note Added: 0117518
2020-02-06 15:53 dmiguelez Status resolved => closed
2020-02-06 15:53 dmiguelez Fixed in Version => 3.0PR20Q2


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker